#ifndef PROCOPERATOR_H
#define PROCOPERATOR_H

#include "rtk32.h"
#include "rttextio.h"
#include "rtkeybrd.h"

#include "thread.h"
#include "logfile.hpp"

class procOperator : public Thread {
public:
	procOperator(RTKMailbox *led, RTKMailbox *vislog, RTKSemaphore *, Log *log);
	~procOperator();
	virtual void run();
private:
	RTKMailbox *mb_led, *mb_log;
	RTKSemaphore *sem;
	Log *log;
};

#endif